package provider;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;


@javax.persistence.Entity
@Table(name = "USER_PROFILE")
public class Entity implements Serializable {

    private static final long serialVersionUID = -6140931725591223891L;

    private Long id;

    @Id
    @Column(name = "USER_PROFILE_ID", nullable = false)
    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }
}
